#include "board_drv.h"
#include "service.h"
#include "haus_control.h"

//#define START_UP_CHECK
#define BEEP_STATUS
#define AUTO_CLOSE

#define AD_SAMPLING					250    //ms

#define SW_RAMP						50    //ms
#define GARDEN_LIGHT_RAMP			5000  //ms
#define RAIN_TRIGER					900   //s 

#define LOW_VOLTAGE_H				436 //2.1289 

#define LOW_VOLTAGE_L				389 //1.8994		

//Okidac automatike susenja reflektora fotocelije default (2,4V)
//Racuna se po formuli: vrijednost = 1024 * napon / 5
#define H_FOTO_VOLTAGE				491  	

//Okidac automatike susenja reflektora fotocelije default (2,2V)
//Racuna se po formuli: vrijednost = 1024 * napon / 5
#define L_FOTO_VOLTAGE				450 


//Okidac automatike vrtnog svijetla, visi napon
//Racuna se po formuli: vrijednost = 1024 * napon / 5
#define NIGHT_VOLTAGE		204	  

//Okidac automatike vrtnog svijetla, nizi napon
//Racuna se po formuli: vrijednost = 1024 * napon / 5
#define DAY_VOLTAGE		102

//Okidac automatike vanjskog svijetla, default 3.9V
//Racuna se po formuli: vrijednost = 1024 * napon / 5
#define OUTSIDE_LIGHT_VOLTAGE		798



#define OUTSIDE_STATUS_RAMP			5000 //ms

#define DOOR_START_SPEED			90
#define DOOR_RESET_SPEED			150
#define DOOR_CRASH_SPEED			150

#define INCR_SPEED_DELAY			3
#define DECR_SPEED_DELAY			1

#define CURRENT_RAMP				500  //ms

#define START_APP_WAIT				400
#define START_APP_EXECUTE			1000
