#include "service.h"
#include "config.h"
#include "garden.h"
#include "motor_driver.h"

void Service(void){
	
	//Run drivers for motors
	MotorDriverRun();

	//Run Garden service
	GardenRun();

	if(t_led_run > 200){
		t_led_run = 0;
		OutLedRunToggle();
	}

	OutStToggle();
	
	//Check if timeout for new AD converction
	if(t_ad_refresh > AD_SAMPLING){
		
		//Convert one analog valut
		AdConvert();
	}
	
}
